## MilterErrorEmittable MilterErrorEmittable — An interface for "error" signal. |

## Functions

void | milter_error_emittable_emit ()

## Signals

void | error | Run Last

## Object Hierarchy

        GInterface
        ╰── MilterErrorEmittable

## Description

The `MilterErrorEmittable` interface provides “error” signal. “error” signal will be emitted on error.

## Functions

### milter_error_emittable_emit ()

    void
    milter_error_emittable_emit (MilterErrorEmittable *emittable,
                                 GError *error);

Emits “error” signal.

#### Parameters

emittable | a `MilterErrorEmittable`. |
error | a `GError` describes error details. |

## Signal Details

### The `“error”` signal

    void
    user_function (MilterErrorEmittable *emittable,
                   gpointer              error,
                   gpointer              user_data)

This signal is emitted on error.

#### Parameters

emittable | the object that received the signal. |
error | the raised error. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last